
Katello - Bug #5606

activation-key (host-collection) add-system-group doesn't work

05/06/2014 09:04 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

(Note: system-group is in the process of being renamed to host-collection)

The following commands may report success to the user; however, the system group is not actually associated with the activation

key.

Example commands:

activation-key add-system-group --organization-id ACME_Corporation --name key1 --system-group-id 5

activation-key add-system-group --organization-id ACME_Corporation --id 1 --system-group-id 5

Response to the user:

The system group has been associated

History

#1 - 05/09/2014 07:16 PM - Brad Buckingham

- Status changed from New to Closed

Testing this out with latest master code today, this appears to be working ok.  Going to close it out.

hammer> activation-key add-host-collection --id 6 --host-collection-id 9

The host collection has been associated

hammer> activation-key info --id 6

Name:                  key2

ID:                    6

Description:           

Lifecycle Environment: 

Content View:          

Host Collections:      

 1) ID:   9

    Name: group2

 2) ID:   16

    Name: group5

hammer> 

#2 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
